Schedule a bid
Generates a base64 encoded VersionedTransaction to schedule a bid on an auction. The transaction must be signed and sent by the bidder.
Operational Rules:
- A bidder can only have one active scheduled bid per artwork mint at a time.
- Bids are scheduled to be placed 30 minutes before the end of the auction.
- The highest valid bid at the scheduled time will be placed and all other bids are automatically cancelled and returned to the bidder.
- The service charges a 0.00005 SOL fee to cover automated transaction costs.
Authorization
ApiKeyAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Schedules a bid to be placed automatically 30 minutes before the auction ends. A bidder may have only one active scheduled bid per mint — scheduling again replaces it.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/scheduledBids/getBidTx" \ -H "Content-Type: application/json" \ -d '{ "bidder": "string", "mint": "string", "amount": 1, "bidMint": "string" }'{ "result": { "tx": "string" }}Scheduled bids for a bidder GET
Returns a bidder's last 100 scheduled bids. Bids in the deposit-confirmed state can be canceled by the bidder using the POST /scheduledBids/getCancelBidTx endpoint.
Cancel a scheduled bid POST
Generates a base64 encoded VersionedTransaction to cancel a scheduled bid. The transaction must be signed and sent by the bidder.